[solved] plugin not loading

Discussion in 'Programming' started by Soulcraft245, Nov 22, 2017.

  1. I keep on getting this error
    Code (Text):
    org.bukkit.plugin.InvalidPluginException: java.lang.IllegalStateException: Cannot get plugin for class me.___soul_.techp.main from a static initializer
            at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:133) ~[Spigot-1.12.2.jar:git-Spigot-3d850ec-dccd276]
            at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:327) ~[Spigot-1.12.2.jar:git-Spigot-3d850ec-dccd276]
            at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:248) [Spigot-1.12.2.jar:git-Spigot-3d850ec-dccd276]
            at org.bukkit.craftbukkit.v1_12_R1.CraftServer.loadPlugins(CraftServer.java:306) [Spigot-1.12.2.jar:git-Spigot-3d850ec-dccd276]
            at net.minecraft.server.v1_12_R1.DedicatedServer.init(DedicatedServer.java:205) [Spigot-1.12.2.jar:git-Spigot-3d850ec-dccd276]
            at net.minecraft.server.v1_12_R1.MinecraftServer.run(MinecraftServer.java:545) [Spigot-1.12.2.jar:git-Spigot-3d850ec-dccd276]
            at java.lang.Thread.run(Thread.java:748) [?:1.8.0_144]
    Caused by: java.lang.IllegalStateException: Cannot get plugin for class me.___soul_.techp.main from a static initializer
            at org.bukkit.plugin.java.JavaPlugin.getPlugin(JavaPlugin.java:390) ~[Spigot-1.12.2.jar:git-Spigot-3d850ec-dccd276]
            at me.___soul_.techp.nodespawing.<init>(nodespawing.java:9) ~[?:?]
            at me.___soul_.techp.Commands.<init>(Commands.java:14) ~[?:?]
            at me.___soul_.techp.main.<init>(main.java:7) ~[?:?]
            at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method) ~[?:1.8.0_144]
            at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:62) ~[?:1.8.0_144]
            at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45) ~[?:1.8.0_144]
            at java.lang.reflect.Constructor.newInstance(Constructor.java:423) ~[?:1.8.0_144]
            at java.lang.Class.newInstance(Class.java:442) ~[?:1.8.0_144]
            at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:76) ~[Spigot-1.12.2.jar:git-Spigot-3d850ec-dccd276]
            at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:129) ~[Spigot-1.12.2.jar:git-Spigot-3d850ec-dccd276]
            ... 6 more
    any idea on how to fix it????
    I got it working
     
    #1 Soulcraft245, Nov 22, 2017
    Last edited: Nov 22, 2017